%global commit 61658473d05b1efbee9f050b4630ea648c9b7148
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global date 20230831

Summary:	KUMIR education system
Name:		kumir2
Version:	2.1.0
Release:	1.%{date}git%{shortcommit}%{?dist}

License:	GPLv2+
Url:		http://www.niisi.ru/kumir/
Source0:	https://github.com/a-a-maly/%{name}/archive/%{commit}/kumir2-%{commit}.tar.gz
Patch0:		kumir2-2.1.0-gcc13.patch
Patch1:		kumir2-alt-fix-LIB_BASENAME.patch
Patch2:		port-to-python3.patch
Patch3:		0001-Change-lrelease-patch.patch

BuildRequires:	boost-devel
BuildRequires:	fdupes
BuildRequires:	git-core
BuildRequires:	kf5-kiconthemes-devel
BuildRequires:	kf5-ktextwidgets-devel
BuildRequires:	kf5-kwidgetsaddons-devel
BuildRequires:	kf5-kwindowsystem-devel
BuildRequires:	kf5-kxmlgui-devel
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5QuickWidgets)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Sensors)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5UiTools)
BuildRequires:	pkgconfig(Qt5WaylandClient)
BuildRequires:	pkgconfig(Qt5WaylandCompositor)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	python3
BuildRequires:	qt5-linguist

%description
Complete KUMIR education system.


%package devel
Summary:	Development files for Kumir
Requires:	%{name} = %{version}-%{release}


%description devel
Development files for Kumir.


%prep
%autosetup -p1 -n %{name}-%{commit}

sed -i "s/^Categories=.*$/Categories=Education;Qt;ComputerScience;/" *.desktop
# Remove bundled boost
rm -rf src/3rdparty/boost*

%build
export PATH=%_qt5_bindir:$PATH
%cmake \
	-DUSE_QT=5 \
	-DLIB_BASENAME=%{_lib} \
	-DPROVIDED_VERSION_INFO=TRUE \
	-DGIT_HASH=4aa5e175 \
	-DGIT_TIMESTAMP=20200922 \
	-DGIT_TAG=2.1.0-rc10 \
	-DGIT_BRANCH=master
%cmake_build

%install
%cmake_install
%fdupes -s %{buildroot}


%files
%{_bindir}/docbook2latex
%{_bindir}/kumir2-bc
%{_bindir}/kumir2-checkcourse
%{_bindir}/kumir2-classic
%{_bindir}/kumir2-courseeditor
%{_bindir}/kumir2-ide
%{_bindir}/kumir2-open
%{_bindir}/kumir2-run
%{_bindir}/kumir2-teacher
%{_bindir}/kumir2-xrun
%{_bindir}/pictomir2course
%{_libdir}/kumir2
%{_datadir}/applications/kumir2-classic.desktop
%{_datadir}/applications/kumir2-ide.desktop
%{_datadir}/applications/kumir2-teacher.desktop
%{_datadir}/kumir2
%{_datadir}/mime/packages/kumir2-mimetypes.xml
%{_datadir}/icons/hicolor/*/apps/*.{png,svg}
%{_datadir}/icons/hicolor/*/mimetypes/*.{png,svg}


%files devel
%{_includedir}/kumir2-libs
%{_includedir}/kumir2
%{_libdir}/cmake/Kumir2


%changelog
* Fri Dec 29 2023 Arkady L. Shane <tigro@msvsphere-os.ru> - 2.1.0-1.20230831git6165847
- Rebuilt for MSVSphere 9.3

* Fri Dec 29 2023 Arkady L. Shane <tigro@msvsphere-os.ru> - 2.10-1.20230831git61658473
- initial build
